Subject: [MMUSIC] Trickle algorithm option

From: Martin Thomson <[email-masked]>
Date: Tue, 12 Mar 2013 16:32:17 -0400

Form a pseudo-checklist from the first (and highest component/stream)
candidate pair on each foundation.  Use that ahead of all other
components/streams.

Note that new pairs can arrive in this checklist after commencing, these
need to be inserted into the priority.

Once a foundation resolves, progress in order, favouring pairs that are
present over ones that are not ;)

If a higher priority foundation resolves on the pseudo-checklist, you MAY
switch to that foundation, abandoning the checks on the first successful
foundation.  Rinse and repeat as desired (until the end).